Affiche les résultats de 1 à 10 sur 10

Sujet : Lecture video impossible sur Vimeo

  1. #1
    Nouveau caméléon
    Inscrit
    janvier 2018
    Distribution
    opensuse leap 15.0
    Environnement
    KDE
    Messages
    135

    Lecture video impossible sur Vimeo

    Bonjour,

    Je ne peux lire les vidéos hébergées chez Vimeo, que ce soit avec Firefox ou Chromium.
    J'ai parcouru leur FAQ mais je ne trouve pas les extensions de navigateur préconisées.

    Le message le plus parlant que j'ai obtenu est :
    “Unsupported viewing environment: Your system is having trouble playing this video”

    H264 est bien installé
    Je n'ai aucun problème sur les vidéos non Vimeo, ni de problème de débit.

    J'ai autorisé amazonaws vimeo vimeocdn et akamaihd (tous en .com) dans les pop-ups et redirection.

    Les vidéos ne démarrent jamais. Ca reste sur un serpentin ou une barre de progression horizontale.

    Une idée ?
    Cdt
    VGA compatible controller : NVIDIA corporation GK 20 [GeForce GT730] (rev a1)
    LEAP 15.0

  2. #2
    Grand caméléon Avatar de sobkowiak
    Inscrit
    septembre 2010
    Lieu
    Châtas 88
    Distribution
    Leap 15.0
    Environnement
    Plasma 5
    Messages
    3 490
    Je viens de faire un essai. Fonctionne parfaitement sur Firefox. Peut-être manque-t-il Flash-HTML5 ? On le trouve dans les modules complémentaires.

  3. #3
    Nouveau caméléon
    Inscrit
    janvier 2018
    Distribution
    opensuse leap 15.0
    Environnement
    KDE
    Messages
    135
    c'est pas mieux, mais c'est moins pire :-)
    j'obtiens maintenant un message franc :
    Environnement de visualisation non compatible

    Votre système a des problèmes pour jouer cette vidéo. Pour plus d'information, consultez notre centre d'aide.


    Sur la faq Vimeo, ils disent :
    Linux users: If you are seeing an unsupported error in the player on Ubuntu (and some other Linux operating systems), try installing these packages: Chromium-codecs-ffmpeg-extra (for Chromium), or streamer0.10-plugins-good and Streamer0.10-ffmpeg (for Firefox)

    Je ne trouve pas Streamer blabla pour FF ni Chromium-codecs-ffmpeg-extra
    Les résultats de recherche dans extension correspondent pas à ce que je demande.
    VGA compatible controller : NVIDIA corporation GK 20 [GeForce GT730] (rev a1)
    LEAP 15.0

  4. #4
    Caméléon tenace Avatar de pierrotbj
    Inscrit
    décembre 2008
    Lieu
    Bourgoin-Jallieu
    Distribution
    openSUSE Leap 42.3 (64 bits)
    Environnement
    KDE
    Messages
    1 257
    Environnement de visualisation non compatible
    Je ne connaissais pas vimeo et j'ai eu le même message.

    Par contre, en installant HTML5 Video Everywhere, il semblerai que ce soit moins pire.
    Si ça peu aider à avancer.
    "Ne pas subir . . . . ." Jean de Lattre de Tassigny

  5. #5
    Caméléon sympa Avatar de Bernado82
    Inscrit
    janvier 2016
    Lieu
    /home
    Distribution
    openSUSE Leap 15.0
    Environnement
    KDE Plasma 5.13
    Messages
    273
    Testé avec la page https://vimeo.com/channels/staffpicks/289042813 ça marche pour Chromium, Firefox (v62.0), Falkon, Konqueror, Vivaldi, myCO mais pas Opera (message d'erreur "Environnement de visualisation non compatible").

    Les plugins installés (proposés dans les dépôts Packman Esentials et Extra) sont les suivants:

    - pour Chromium et ses dérivés, le plugin flash-player-ppapi si Flash est requis à compléter par chromium-plugin-widevinecdm et chromium-ffmpeg-extra.
    - pour Firefox est installé freshplayerplugin combiné avec flash-player-ppapi pour disposer du Flash (ou sinon juste le flash-player d'Adobe?).

    Screenshot_20180911_160321.jpgScreenshot_20180911_161933.jpgScreenshot_20180911_181744.jpg
    Screenshot_20180911_181904.jpgScreenshot_20180911_182030.jpgScreenshot_20180911_181255.jpg

    Seul Opera reste allergique à Vimeo (ou c'est le contraire?). Y a un remède, docteur?

    Screenshot_20180911_182158.jpg

    Avec Vimeo je pense qu'il est important que les plugins pour Widevine soient présents (chromium-plugin-widevinecdm sous Chromium et Module de déchiffrement de contenu Widevine installé par défaut sous Firefox). Pour Opera, ça peut peut-être être résolu (quoique ça m'étonne pas beaucoup, Opera a aussi des problèmes avec Spotify)? Bien qu'en fait c'est plutôt un problème de support du H264 par le lecteur HTML5 d'Opera? C'est un problème connu avec ce navigateur.

    EDIT: Dans Konqueror, pour améliorer son support du H264 sous HTML5, il faut changer son "moteur" web en installant le paquet webenginepart. Une fois ceci fait et Konqueror reconfiguré, le support du H264 sera plus complet.

    À l'instar de YouTube, les vidéos sur Vimeo ne nécessitent pas qu'un plugin Flash soit installé (aucune demande d'activation du Flash n'est demandée), la lecture se faisant via HTML5. Le seul requis étant je pense un bon support du H264, ce dont ne dispose pas de base, semble t-il, le navigateur Opera. (*)

    Les pré-requis pour Vimeo sous Linux (et c'est confirmé que Flash devient inutile pour lire les vidéos):
    https://help.vimeo.com/hc/fr/article...-Linux-Ubuntu-
    https://help.vimeo.com/hc/fr/article...-lecteur-Flash

    (*) Voici une solution "provisoire" pour Opera (à renouveler après chaque nouvelle version?), j'utilise actuellement la v54.0.2952.41 (une nouvelle v55.0.2994.56 est disponible):

    - aller sur https://github.com/iteufel/nwjs-ffmp...uilt/releases/ pour y télécharger le fichier 0.31.1-linux-x64.zip (j'avais essayé avec des versions plus récentes mais au final, lorsque du contenu H264 était présent dans une page, elle plantait sur Opera, mais d'autres versions plus récentes peuvent aussi fonctionner avec votre version d'Opera, c'est juste que par lassitude, je suis passé directement à une version ancienne qui a fonctionné correctement).

    - une fois l'archive décompressée, on obtient un fichier libffmpeg.so à copier (en root) dans le dossier /usr/lib64/opera/lib_extra/ (fermer Opera avant toutes ces manipulations).

    - une fois ceci fait, le H264 sous HTML5 sera mieux supporté, les vidéos Vimeo fonctionneront et même celles-ci: https://www.twitch.tv/

    Screenshot_20180912_000913.jpg

    La nouvelle version 55.0.2994.56 d'Opera règle peut-être déjà tous ces problèmes? Il ne faut pas passer par Snap, quand même?

    EDIT: J'ai retesté Opera après mise-à-jour manuelle vers la version 55.0.2994.56 avec le rpm fourni ici. Si la version alternative du fichier libffmpeg.so est déjà installée dans le dossier /usr/lib64/opera/lib_extra/ alors elle ne sera pas écrasée et donc cette version d'Opera sera compatible avec le H264 sous HTML5, sinon recommencez la procédure décrite plus haut avec https://github.com/iteufel/nwjs-ffmp...-linux-x64.zip (les autres versions plus récentes semblent poser problème avec Opera). Cette version 0.31.5 du fichier libffmpeg.so doit convenir aussi à Opera v54. Et mieux vaut patienter que la version 55 soit proposée dans les dépôts officiels, ceci pour une meilleure intégration sous openSuse...
    Dernière édition par Bernado82; 12/09/2018 à 08h22
    https://www.facebook.com/profile.php?id=100011319637977 (page plus ou moins orientée openSUSE)

    [Utilitaires pour tablettes avec SoC Rockchip]
    https://www.mediafire.com/folder/2x8...Rockchip_Tools
    https://mega.co.nz/#F!wxJliCiT!fSTU4uzNwJ4h_ZGOYHcjcQ

    [Les outils proposés par Rockchip sont parfois "moches", voici RK Android Tool v2.3.9 et Driver Assistant v4.5 après mon petit coup de polish]
    https://www.mediafire.com/folder/5qs985buhb8g5/Rockchip

  6. #6
    Grand caméléon Avatar de sobkowiak
    Inscrit
    septembre 2010
    Lieu
    Châtas 88
    Distribution
    Leap 15.0
    Environnement
    Plasma 5
    Messages
    3 490
    streamer0.10-plugins-good and Streamer0.10-ffmpeg (for Firefox)
    Il s'agit de gstreamer-plugins-good. Pour Firefox, je n'ai installé ni flash-player-ppapi ni freshplayerplugin.

  7. #7
    Nouveau caméléon
    Inscrit
    janvier 2018
    Distribution
    opensuse leap 15.0
    Environnement
    KDE
    Messages
    135
    Etat des lieux toujours down.
    J'ai installé :
    flash-player-ppapi

    Etaient deja installés :
    chromium-ffmpeg-widevinecdm
    chromium-ffmpeg-extra

    freshplayerplugin LO est moins volontaire :
    Capture d'écran du 2018-09-12 10.15.11.jpg

    Flash HTML5 est dans la place et l'était (au moins jusqu'au 20 septembre... désolé :-) ).

    HTML5 Video Everywhere n'a rien apporté de plus que la possibilité de bloquer Youtube & Co.

    Vimeo est devenu mon grain de sable numérique :-(

    Après, peut-être que c'est un problème de contexte.
    J'essaie d'avoir acces aux vidéos de formation sur https://dolfino.tv/my-courses/

    Vous pouvez tester. Ce sont des formations gratuites.

    Et après le grain de sable numérique, le paradoxe: faire de la pub pour un truc qui ne fonctionne pas (chez moi tout du moins :-( )
    Nota: j'ai déjà été en contact avec l'assistance du site...
    VGA compatible controller : NVIDIA corporation GK 20 [GeForce GT730] (rev a1)
    LEAP 15.0

  8. #8
    Caméléon sympa Avatar de Bernado82
    Inscrit
    janvier 2016
    Lieu
    /home
    Distribution
    openSUSE Leap 15.0
    Environnement
    KDE Plasma 5.13
    Messages
    273
    Dans un précédent message, j'avais abordé l'installation de Flash pour Chromium et dérivés et pour Firefox, voir https://www.alionet.org/showthread.p...l=1#post296919

    La lecture des vidéos sur Vimeo ne nécessite pas qu'un plugin Flash soit intallé, juste un gestion complète du H264 par la lecture vidéo HML5 (constaté plus haut justement pur Opera). Comme montré plus haut, la plupart des navigateurs (tous?) sont capables d'accéder correctement à Vimeo, il suffit juste de les y aider un petit peu en ajoutant le(s) plugin(s) requis.

    Il est normal que soit signalé un conflit entre certains plugins Flash, ainsi:

    - freshplayerplugin est incompatible avec flash-player d'Adobe.
    - pepper-flash (vieux paquet proposé dans un dépôt communautaire) est lui incompatible avec flash-player-ppapi+chromium-ffmpeg-widevinecdm car il est supposé être leur équivalent.

    Il faut donc juste faire un choix (les paquets indiqués provenant principalement du dépôt Packman):

    - pour Chromium et dérivés: flash-player-ppapi OU flash-player d'Adobe et chacun d'eux à combiner avec chromium-ffmpeg-widevinecdm et chromium-ffmpeg-extra
    - Pour Firefox: freshplayerplugin si flash-player-ppapi est déjà installé, sinon juste le flash-player d'Adobe.

    Mais comme signalé plus haut, Flash n'est pas requis pour lire les vidéos de Vimeo! As-tu installé dès le départ les codecs multimédia via le dépôt Packman comme indiqué dans https://opensuse-community.org/ ou http://opensuse-guide.org/codecs.php et serait-il possible aussi que certains codecs "indispensables" ne proviennent PAS de Packman, mais plutôt des dépôts officiels alors que justement le contraire serait mieux... Attention aussi à certaines librairies gstreamer qui doivent impérativement provenir du dépôts Packman. Le OneClickInstall indiqué pour l'installation des codecs de base indiqué précédemment fait le taf, y a généralement juste à ajouter le pack de langues pour VLC. Quoique ça dépend aussi si on est sur une Leap 15.0 installée à partir de zéro ou sinon une Leap 42.3 mise-à-jour vers Leap 15.0...

    Personnellement, je n'ai jamais installé d'extension (genre Flash-HTML ou HTML5 Video Everywhere) dans Firefox, Chrome ou Opera pour forcer l'affichage en Flash ou HTML5. De plus, j'avais pas encore installé Flash sur cette Leap 15.0, je l'ai fait juste pour Iridium qui ne voulais presque rien afficher comme vidéo YouTube (voire rien du tout même?), alors je suis revenu à Chromium. Et c'est juste pour tester Flash sous Firefox et pour illustrer mes récents messages à son sujet, que j'ai installé freshplayerplugin. Idem pour le flash-player d'Adobe pour tester les différences. Et ton problème avec Viméo m'a permis de trouver une "rustine" pour corriger celui d'Opera. Thanks a lot, indeed!

    Et les copies d'écran étaient justement là pour montrer que Vimeo est accessible à une pléthore de navigateurs, même Opera finalement!
    Dernière édition par Bernado82; 12/09/2018 à 17h11
    https://www.facebook.com/profile.php?id=100011319637977 (page plus ou moins orientée openSUSE)

    [Utilitaires pour tablettes avec SoC Rockchip]
    https://www.mediafire.com/folder/2x8...Rockchip_Tools
    https://mega.co.nz/#F!wxJliCiT!fSTU4uzNwJ4h_ZGOYHcjcQ

    [Les outils proposés par Rockchip sont parfois "moches", voici RK Android Tool v2.3.9 et Driver Assistant v4.5 après mon petit coup de polish]
    https://www.mediafire.com/folder/5qs985buhb8g5/Rockchip

  9. #9
    Grand caméléon Avatar de sobkowiak
    Inscrit
    septembre 2010
    Lieu
    Châtas 88
    Distribution
    Leap 15.0
    Environnement
    Plasma 5
    Messages
    3 490
    Il s'agit de gstreamer-plugins-good. Pour Firefox, je n'ai installé ni flash-player-ppapi ni freshplayerplugin.
    Vous l'avez installé ? Il ne s'agit pas d'un module de Firefox mais d'un paquet OpenSUSE

  10. #10
    Nouveau caméléon
    Inscrit
    janvier 2018
    Distribution
    opensuse leap 15.0
    Environnement
    KDE
    Messages
    135
    Citation Envoyé par Bernado82 Voir le message
    Il faut donc juste faire un choix (les paquets indiqués provenant principalement du dépôt Packman):

    - pour Chromium et dérivés: flash-player-ppapi OU flash-player d'Adobe et chacun d'eux à combiner avec chromium-ffmpeg-widevinecdm et chromium-ffmpeg-extra
    - Pour Firefox: freshplayerplugin si flash-player-ppapi est déjà installé, sinon juste le flash-player d'Adobe.

    Apres avoir revérifié les flash-player, c'est a dire avoir supprimé 1 flash player gnome qui trainait et laissé le flash d'abobe standard, j'ai vérifié que je n'avais pas ppapi d'installé.

    Je suis alors parti sur le oneinstall en cherchant l'url dans google. Url trouvée déjà cliquée.

    Donc, je vais sur first install et en bas je trouve
    zypper dup --from http://packman.inode.at/suse/openSUSE_Leap_15.0/

    qui me remet sagement tout en ordre apres avoir trouvé 34 fichiers pas bons...

    Tout le monde est retourné chez Packman et tout va beaucoup mieux :-)

    C'est bien une leap 15 originale.. car la migration 42.3 vers 15 avait été très mal vécue :-)

    Une belle journée où tout rentre dans l'ordre en quelque sorte donc ..

    Un grand merci à tous pour tout.... (sans Dartagnan :-) )
    VGA compatible controller : NVIDIA corporation GK 20 [GeForce GT730] (rev a1)
    LEAP 15.0

Tags pour ce sujet

Règles des messages

  • Vous ne pouvez pas créer de sujets
  • Vous ne pouvez pas répondre aux sujets
  • Vous ne pouvez pas importer de fichiers joints
  • Vous ne pouvez pas modifier vos messages
  •  
  • Les BB codes sont Activés
  • Les Smileys sont Activés
  • Le BB code [IMG] est Activé
  • Le code [VIDEO] est Activé
  • Le code HTML est Désactivé